Package com.arms.egovframework.javaservice.treeframework.util

## Class MessageSupport

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.util.MessageSupport

-     @Service
      public class MessageSupport
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MessageSupport()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getMessage​(java.lang.String code, java.lang.Object[] args, java.lang.String defaultMessage, java.util.Locale locale)` |
    `java.lang.String` | `getMessage​(java.lang.String code, java.lang.Object[] args, java.lang.String defaultMessage, javax.servlet.http.HttpServletRequest request)` |
    `java.lang.String` | `getMessage​(java.lang.String code, java.lang.String defaultMessage, java.util.Locale locale)` |
    `java.lang.String` | `getMessage​(java.lang.String code, java.lang.String defaultMessage, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.context.MessageSource` | `getMessageSource()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageSupport

          public MessageSupport()

  - ### Method Detail

    - #### getMessage

          public java.lang.String getMessage​(java.lang.String code,
                                             java.lang.Object[] args,
                                             java.lang.String defaultMessage,
                                             java.util.Locale locale)

    - #### getMessage

          public java.lang.String getMessage​(java.lang.String code,
                                             java.lang.Object[] args,
                                             java.lang.String defaultMessage,
                                             javax.servlet.http.HttpServletRequest request)

    - #### getMessage

          public java.lang.String getMessage​(java.lang.String code,
                                             java.lang.String defaultMessage,
                                             java.util.Locale locale)

    - #### getMessage

          public java.lang.String getMessage​(java.lang.String code,
                                             java.lang.String defaultMessage,
                                             javax.servlet.http.HttpServletRequest request)

    - #### getMessageSource

          public org.springframework.context.MessageSource getMessageSource()